.cost-info.loading, .js-store-prod-price.loading, .t-store__card__price.loading{
    position: relative;
}

.cost-info.loading div, .js-store-prod-price.loading, .t-store__card__price.loading, .custom-price-wrapper.loading{
    color: transparent !important;
}

.custom-price-wrapper.loading div{
    color: transparent !important;
}

.cost-info.loading::after, .t-store__card__price.loading:after {
    content: '';
    position: absolute;
    width: 1em;
    height: 1em;
    border: 3px solid #ededed;
    border-top: 3px solid var(--uc-button-bgcolor-eYbEI0T9Im);
    border-radius: 50%;
    animation: spin 1s linear infinite;
    left: calc(50% - calc(0.5em + 3px));
    top: calc(50% - calc(0.5em + 3px));
}

#price-wrapper.loading:after{
    content: '';
    position: absolute;
    width: 2em;
    height: 2em;
    border: 4px solid #ededed;
    border-top: 4px solid var(--uc-button-bgcolor-eYbEI0T9Im);
    border-radius: 50%;
    animation: spin 1s linear infinite;
    left: 0rem;
    top: 0;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.custom-price-wrapper .product-cost{
    font-weight: 400;
    font-family: Roboto;
    color: #3a3a3a;
    display: flex;
    font-size: 1.3em;
}

.custom-price-wrapper .product-hint-cost{
    font-weight: 400;
    font-family: Roboto;
    color: #9f9f9f;
    font-size: 0.75em;
    display: flex;
}

.custom-price-wrapper{
    position: relative;
    margin-bottom: 0.5em;
}

.product-price-wrapper{
    display: flex;
}

.loading .price-description{
    visibility: hidden;
}

.t-store__prod-popup__info .disabled-link {
    pointer-events: none;
    cursor: default;
    background-color: #dfb8b9 !important;
}

.js-store-price-wrapper.loading .t-store__card__price{
    visibility: hidden;
}


.js-store-price-wrapper.loading:after {
    content: '';
    position: absolute;
    width: 15px;
    height: 15px;
    border: 3px solid #ededed;
    border-top: 3px solid var(--uc-button-bgcolor-eYbEI0T9Im);
    border-radius: 50%;
    animation: spin 1s linear infinite;
    left: calc(50% - calc(10px));
    top: 0;
}

.recalculate-span{
    color: #3a5167;
    border-bottom: 1px solid;
    cursor: pointer;
}

.recalculate-span, .load-scu-data-btn{
    color: #3a5167;
    border-bottom: 1px solid;
    cursor: pointer;
}

.recalculate-span:hover, .load-scu-data-btn:hover{
    color: #34485c;
}

.currency-text{
    margin: 0 0.3em;
}

.loading .product-price-wrapper{
    visibility: hidden;
}

.t-input-group.loading .t-calc,
.t-input-group.loading .t-calc__postfix-text{
    visibility: hidden;
    position: relative;
}

.t-input-group.loading .t-calc:after{
    content: '';
    position: absolute;
    width: 15px;
    height: 15px;
    border: 3px solid #ededed;
    border-top: 3px solid var(--uc-button-bgcolor-eYbEI0T9Im);
    border-radius: 50%;
    animation: spin 1s linear infinite;
    top: 0px;
    left: 10px;
    visibility: visible;
}

.recalculate-span:hover{
    color: #34485c;
}

.price-field-err-msg, price-field-loading-err-msg{
    color: #e56c6c;
    margin-top: 0.5em
}

.t-input-group{
    position: relative;
}

@media screen and (max-width: 960px) {
    .t-quiz-step__media .t-quiz__step__img{
        position: relative !important;
    }
}

.t-store__prod-popup__btn .disabled-link{
    pointer-events: none;
    cursor: default;
    background-color: #f09b9e;
}


a:hover .t-product__option-item_image .t-product__option-title {
    background-color: #000;
    border-radius: 5px;
    bottom: 10px;
    color: #fff!important;
    font-size: 11px!Important;
    display: block;
    padding: 4px 10px;
    position: absolute;
    transform: translateX(calc(-50% + 25px));
}